API DocumentationManufacturer customer controller

Get customers with filtering

Retrieves a paginated list of customers with optional filtering and search using RSQL

GET
/api/manufacturer/v1/customer/paginated
AuthorizationBearer <token>

In: header

Query Parameters

filterstring

filter specification

page?integer

Zero-based page index (0..N)

Default0
Range0 <= value
size?integer

The size of the page to be returned

Default30
Range1 <= value
sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Default["updateDt,DESC"]
search?string

Optional search term

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/customer/paginated?filter=string&page=0&size=30&sort=updateDt%2CDESC&search=string"
{
  "content": [
    {
      "email": "string",
      "customerId": 0,
      "organisationId": 0,
      "organisationName": "string",
      "isApproved": true,
      "firstName": "string",
      "lastName": "string",
      "phoneNumber": "string",
      "notificationPreference": "string",
      "discountId": 0,
      "discountPercentage": 0
    }
  ],
  "totalElements": 0,
  "totalPages": 0,
  "pageNumber": 0,
  "pageSize": 0,
  "isEmpty": true,
  "isFirst": true,
  "isLast": true
}

Last updated on